Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004759OCamlOCaml generalpublic2009-03-28 23:332011-05-29 12:14
ReporterPascal Cuoq 
Assigned Toxleroy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.12.0+dev 
Summary0004759: March 28, 2009 CVS version won't bootstrap on Mac OS X Intel 64
DescriptionOn Mac OS X Intel 10.5.6, XCode 3.1.2

CVSROOT=:pserver:anoncvs@camlcvs.inria.fr:/caml cvs checkout ocaml
./configure -prefix /usr/local/ocamlcvs64 -cc "gcc -m64"
make world.opt

result in:

cd stdlib; make allopt
../boot/ocamlrun ../ocamlopt -warn-error A -nostdlib -g `./Compflags pervasives.cmx` -c pervasives.ml
/var/folders/Hi/HiBUKQCdHfqHIZMHl+JTb++++TI/-Tmp-/camlasmed7363.s:602:junk `@PLT' after expression
/var/folders/Hi/HiBUKQCdHfqHIZMHl+JTb++++TI/-Tmp-/camlasmed7363.s:633:junk `@PLT' after expression
...
The file camlasmed7363.s is attached with this bug report
Additional InformationNote that the 3.11.0 release compiles fine with the same procedure.
TagsNo tags attached.
Attached Files? file icon camlasmed7363.s [^] (62,299 bytes) 2009-03-28 23:33

- Relationships

-  Notes
(0004895)
xleroy (administrator)
2009-03-31 13:51

Hopefully fixed in CVS trunk. Was probably a bad code merge from 3.11 branch.

- Issue History
Date Modified Username Field Change
2009-03-28 23:33 Pascal Cuoq New Issue
2009-03-28 23:33 Pascal Cuoq File Added: camlasmed7363.s
2009-03-31 13:51 xleroy Note Added: 0004895
2009-03-31 13:51 xleroy Status new => resolved
2009-03-31 13:51 xleroy Resolution open => fixed
2009-03-31 13:51 xleroy Fixed in Version => 3.12.0+dev
2009-03-31 13:52 xleroy Status resolved => assigned
2009-03-31 13:52 xleroy Assigned To => xleroy
2009-03-31 13:52 xleroy Status assigned => resolved
2011-05-29 12:14 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker